Bug 204683 - net/tac_plus4: Update to 4.0.4.28
Summary: net/tac_plus4: Update to 4.0.4.28
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Joe Marcus Clarke
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-11-19 16:22 UTC by Mathieu Simon
Modified: 2015-11-23 13:27 UTC (History)
0 users

See Also:
bugzilla: maintainer-feedback? (marcus)


Attachments
Update to 4.0.4.28, otherwise see the description (8.74 KB, patch)
2015-11-19 16:22 UTC, Mathieu Simon
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Mathieu Simon 2015-11-19 16:22:09 UTC
Created attachment 163335 [details]
Update to 4.0.4.28, otherwise see the description

Hi

Hereby is a patch that:
- Updates tac_plus4 to 4.0.4.28
- Regenerates patches to make portlint happy
- Other minor changes to Makefile for portlint happiness
- Updates the description to reflect a bit more the current state:
  - The original FTP site from Cisco  isn't reachable anymore, nor 
    is 2.x in the ports tree these days.
  - Update/add the URL, though the one from Cisco still works, but 
    this is the version from Shrubbery Networks. (there are others around)
- Add a pkg-message

Changes since 4.0.4.27 can be found in the source tarball in CHANGES.

This has passed a poudriere testport for in 9.3 and 10.2 amd64 jails each.
I've done a quick runtime check. Looking forward to your feedback

Mathieu
Comment 1 commit-hook freebsd_committer 2015-11-22 23:56:40 UTC
A commit references this bug:

Author: marcus
Date: Sun Nov 22 23:56:03 UTC 2015
New revision: 402250
URL: https://svnweb.freebsd.org/changeset/ports/402250

Log:
  - Update tac_plus4 to 4.0.4.28
  - Regenerate patches to make portlint happy
  - Other minor changes to Makefile for portlint happiness
  - Updates the description to reflect a bit more the current state:
  - The original FTP site from Cisco isn't reachable anymore, nor
    is 2.x in the ports tree these days.
  - Update/add the URL, though the one from Cisco still works, but
    this is the version from Shrubbery Networks. (there are others around)
  - Add a pkg-message

  PR:		204683
  Submitted by:	Mathieu Simon <freebsd@simweb.ch>

Changes:
  head/net/tac_plus4/Makefile
  head/net/tac_plus4/distinfo
  head/net/tac_plus4/files/patch-Makefile.in
  head/net/tac_plus4/files/patch-choose_authen.c
  head/net/tac_plus4/files/patch-opie_fn.c
  head/net/tac_plus4/files/patch-parse.h
  head/net/tac_plus4/files/patch-skey_fn.c
  head/net/tac_plus4/files/patch-tac_plus.h
  head/net/tac_plus4/files/patch-users_guide.in
  head/net/tac_plus4/files/tac_plus.in
  head/net/tac_plus4/pkg-descr
  head/net/tac_plus4/pkg-plist
Comment 2 Joe Marcus Clarke freebsd_committer 2015-11-22 23:57:36 UTC
Committed, thanks!
Comment 3 commit-hook freebsd_committer 2015-11-22 23:57:42 UTC
A commit references this bug:

Author: marcus
Date: Sun Nov 22 23:57:14 UTC 2015
New revision: 402251
URL: https://svnweb.freebsd.org/changeset/ports/402251

Log:
  - Update tac_plus4 to 4.0.4.28
  - Regenerate patches to make portlint happy
  - Other minor changes to Makefile for portlint happiness
  - Updates the description to reflect a bit more the current state:
  - The original FTP site from Cisco isn't reachable anymore, nor
    is 2.x in the ports tree these days.
  - Update/add the URL, though the one from Cisco still works, but
    this is the version from Shrubbery Networks. (there are others around)
  - Add a pkg-message

  PR:		204683
  Submitted by:	Mathieu Simon <freebsd@simweb.ch>

Changes:
  head/net/tac_plus4/pkg-message
Comment 4 Mathieu Simon 2015-11-23 13:27:07 UTC
Thank for the quick bump!

-- Mathieu